For the complete documentation index, see llms.txt. This page is also available as Markdown.

List organizations

List organizations.

Users with the ORGANIZATION permission get all organizations in the system. Other users only get the organizations they have access to.

get
/tenants/{tenantUid}/organizations
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
organizationExternalIdstringOptional

External reference to an organization.

organizationNamestringOptional

Reference to the name of an organization.

pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/organizations
GET /v2/tenants/{tenantUid}/organizations HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "address": "text",
      "city": "text",
      "countryCode": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "email": "text",
      "externalId": "text",
      "isActive": true,
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "name": "text",
      "postalCode": "text",
      "phone": "text",
      "organizationUid": "text",
      "vatNumber": "text",
      "bankInfo": {
        "accountNumber": "text",
        "bankName": "text",
        "iban": "text",
        "swift": "text",
        "giroAccountNumber": "text"
      },
      "websiteUrl": "text",
      "appSettings": {
        "requireGtinScanBeforeDeliverOut": true
      },
      "fiscal": {
        "unitId": "text",
        "credentialsStored": true,
        "taxpayerId": "text",
        "taxpayerState": ""
      }
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?